﻿@model  RealEstate.Models.UserPartialSalaryModel
@{
    ViewBag.Title = "Partial Payments";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@using (Html.BeginForm("Partial_Payments", "Salary", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })


    <div class="row">
        <div class="col-xl-12 ">
            <div class="card bg-white text-black mb-1">
                <div class="card-body text-center">
                    <div class="row" style="margin-top:1em;">

                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.LabelFor(model => model.Month_Year, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.EditorFor(model => model.Month_Year, new { htmlAttributes = new { @class = "form-control monthpicker", autocomplete = "off" } })
                                    @Html.ValidationMessageFor(model => model.Month_Year, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="form-group">
                                <button class="btn btn-primary control-label col-md-3" type="submit" onclick="RemoveDatatable();">Pay</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <ul class="nav nav-tabs" role="tablist">
        <li class="nav-item active">
            <a class="nav-link active" href="#Pay" role="tab" data-toggle="tab">Make Payment</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#Paid_List" role="tab" data-toggle="tab">Paid List</a>
        </li>

    </ul>

    <div class="tab-content">
        <div role="tabpanel" class="tab-pane active in" id="Pay">

            <div class="row">
                <div class="col-xl-12 ">
                    <div class="card bg-white employee-details text-black mb-1">
                        <h5 class="card-header text-center">Partial salary for the month of : <span class="badge badge-danger">@Model.Month_Year</span> </h5>
                        <div class="card-body text-center">
                            <div class="datatable table-responsive">
                                <div class="dataTables_wrapper dt-bootstrap4">
                                    <div class="col-sm-12">
                                        <table class="table table-striped mydatatable">
                                            <thead>
                                                <tr>

                                                    <th>Select</th>
                                                    <th style=" text-align:left">Name</th>
                                                    <th>Project</th>
                                                    <th>Amount</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach (var x in Model.UserLst)
                                                {
                                                    var disabled = x.Active_Bank_Account ? "" : "disabled";
                                                    <tr>
                                                        <td>
                                                            @if (x.Active_Bank_Account)
                                                            {
                                                                <span class="badge badge-success">Active A/C</span>
                                                            }
                                                            else
                                                            {
                                                                <span class="badge badge-danger">In-Active A/C</span>
                                                            }
                                                        </td>
                                                        <td style="color: blue; text-align:left">
                                                            <a href="/User/AddEditUser/@x.UserId">@x.Name</a>
                                                        </td>
                                                        <td>@x.Project</td>
                                                        <td><input type="text" class="Amount" style="width:50px" id="@string.Join("~", x.UserId.ToString(),Model.Month_Year,x.BeneId)" name="@string.Join("~", x.UserId.ToString(),Model.Month_Year,x.BeneId)" @disabled></td>
                                                    </tr>
                                                }

                                                @*@for (int x = 1; x <= Model.UserLst.Count; x++)
                                                    {
                                                        var usr = Model.UserLst[x - 1];
                                                        var disabled = usr.Active_Bank_Account ? "" : "disabled";
                                                        <tr>
                                                            <td>
                                                                @if (usr.Active_Bank_Account)
                                                                {
                                                                    <span class="badge badge-success">Active A/C</span>
                                                                }
                                                                else
                                                                {
                                                                    <span class="badge badge-danger">In-Active A/C</span>
                                                                }
                                                            </td>
                                                            <td style="color: blue; text-align:left">
                                                                <a href="/User/AddEditUser/@usr.UserId">@usr.Name</a>
                                                            </td>
                                                            <td>@usr.Project</td>
                                                            <td><input type="text" class="Amount" style="width:50px" id="@string.Join("~", usr.UserId.ToString())" name="@string.Join("~", usr.UserId.ToString())" @disabled></td>
                                                        </tr>
                                                    }*@
                                            </tbody>

                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div role="tabpanel" class="tab-pane fade" id="Paid_List">
            <div class="row">
                <div class="col-xl-12 ">
                    <div class="card bg-white text-black mb-1">
                        <h5 class="card-header text-center">Partial salary list for the month of : <span class="badge badge-danger">@Model.Month_Year</span> </h5>
                        <div class="card-body text-center">
                            <div class="datatable table-responsive">
                                <div class="dataTables_wrapper dt-bootstrap4">
                                    <div class="col-sm-12">
                                        <table class="table table-striped">
                                            <thead>
                                                <tr>
                                                    <th style=" text-align:left">Name</th>
                                                    <th>Project</th>
                                                    <th>Amount</th>
                                                    <th>Message</th>
                                                    <th>ReferenceId</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach (var x in Model.UserPartialSalaryLst)
                                                {
                                                    <tr>
                                                        <td style="color: blue; text-align:left">
                                                            <a href="/User/AddEditUser/@x.UserId">@x.Name</a>
                                                        </td>
                                                        <td>@x.Project</td>
                                                        <td>@x.Amount</td>
                                                        <td>@x.CF_message</td>
                                                        <td>@x.CF_referenceId</td>
                                                    </tr>
                                                }
                                            </tbody>

                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

}









@section Scripts {
    <script type="text/javascript">

        $('.monthpicker').MonthPicker({
            MinMonth: -12, Button: false, MonthFormat: 'M yy', OnAfterChooseMonth: function () {
                showloader(true)
                window.location.href = "/Salary/Partial_Payments?Month_Year=" + $(this).val();
            }
        });


        $(document).ready(function () {
            $('#example').DataTable({});
        });
    </script>
}

